com.brightcove.player.model

## Class Video.Builder

- java.lang.Object
- - com.brightcove.player.model.Video.Builder

- Enclosing class:
    Video

      public static class Video.Builder
      extends java.lang.Object

  Convenience Builder to build Video objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(java.lang.String uri)` The Video.Builder

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Video` | `build()` Builds the `Video` object.
    `Video.Builder` | `setDeliveryType(DeliveryType deliveryType)` Sets the Video Delivery Type.
    `Video.Builder` | `setIsLiveVideo(boolean isLiveVideo)` Indicates whether this video is Live or not.
    `Video.Builder` | `setProjectionFormat(Video.ProjectionFormat projectionFormat)` Sets the Video Projection Format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(@NonNull
                         java.lang.String uri)

      The Video.Builder
      Parameters:
        `uri` - the String URI to the video

  - ### Method Detail

    - #### setDeliveryType

          @NonNull
          public Video.Builder setDeliveryType(@NonNull
                                                        DeliveryType deliveryType)

      Sets the Video Delivery Type.
      Parameters:
        `deliveryType` - the delivery type
      Returns:
        this builder

    - #### setProjectionFormat

          @NonNull
          public Video.Builder setProjectionFormat(@NonNull
                                                            Video.ProjectionFormat projectionFormat)

      Sets the Video Projection Format.
      Parameters:
        `projectionFormat` - the projection format
      Returns:
        this builder

    - #### setIsLiveVideo

          @NonNull
          public Video.Builder setIsLiveVideo(boolean isLiveVideo)

      Indicates whether this video is Live or not. This will help to configure the video with its right attributes.

      Once the video is loaded in the player, it is recommended to use `VideoDisplayComponent.isLive()` and `VideoDisplayComponent.hasDvr()` to determine that a Video is live and has DVR capabilities, respectively.

      Parameters:
        `isLiveVideo` - true to indicate the video is Live
      Returns:
        this builder

    - #### build

          @NonNull
          public Video build()

      Builds the `Video` object.
      Returns:
        the video